const apiKey = "eb915ef7091b62c6382ec96557858e3f";

// Define the circle properties
const radius = 10000; // Adjust the radius as needed
const center = { lat: 28.61, lng: 77.23 }; // Coordinates for the center of the circle (Delhi)

// Create an SVG element
const svg = d3.select("#mapContainer").append("svg");

// Draw the circle
const circle = svg
  .append("circle")
  .attr("cx", 0)
  .attr("cy", 0)
  .attr("r", radius)
  .attr("class", "circle");

// Update circle position on map move/zoom
map.on("moveend", update);

function projectPoint(coordinates) {
  const lngLat = map.unproject([0, 0]);
  const point = map.project(lngLat);
  return [point.x, point.y];
}

function update() {
  const point = projectPoint(center);
  circle
    .attr("cx", point[0])
    .attr("cy", point[1]);
}

// Initial update
update();
